VERSION 5.00
Object = "{6B459CE5-9F97-11D5-B7BA-00C0F02DFC67}#1.0#0"; "SKSYST~1.OCX"
Begin VB.Form Form1 
   Caption         =   "SystemInfoDemo"
   ClientHeight    =   4395
   ClientLeft      =   1875
   ClientTop       =   1920
   ClientWidth     =   9600
   LinkTopic       =   "Form1"
   ScaleHeight     =   4395
   ScaleWidth      =   9600
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   7080
      Top             =   120
   End
   Begin VB.CheckBox AutoRefreshCheck 
      Caption         =   "Refresh Automatically"
      Height          =   375
      Left            =   3600
      TabIndex        =   4
      Top             =   450
      Value           =   1  'Checked
      Width           =   2535
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   345
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   480
      Width           =   2535
   End
   Begin SKSYSTEMINFOLib.SKSystemInfo SKSystemInfo1 
      Left            =   6360
      Top             =   120
      _Version        =   65536
      _ExtentX        =   847
      _ExtentY        =   847
      _StockProps     =   0
   End
   Begin VB.ListBox Debug_lst 
      Height          =   2790
      ItemData        =   "Test.frx":0000
      Left            =   345
      List            =   "Test.frx":0002
      MultiSelect     =   1  'Simple
      TabIndex        =   1
      Top             =   1020
      Width           =   8850
   End
   Begin VB.CommandButton Start 
      Caption         =   "Query"
      Enabled         =   0   'False
      Height          =   645
      Left            =   8040
      TabIndex        =   0
      Top             =   120
      Width           =   1155
   End
   Begin VB.Label Label2 
      Caption         =   "Information:"
      Height          =   255
      Left            =   345
      TabIndex        =   2
      Top             =   240
      Width           =   2295
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'/*****************************************************************************
 '*
 '*  COPYRIGHTS:
 '*             This module contains code made available by Magneto Software
 '*             on an AS IS basis.  Any one receiving the module is considered
 '*             to be licensed under Magneto Software copyrights to use the
 '*             Magneto-provided source code in any way he or she deems fit,
 '*             including copying it, compiling it, modifying it, and
 '*             redistributing it, with or without modifications.
 '*
 '*             A user of the module should understand that Magneto Software
 '*             cannot provide technical support for the module and will not be
 '*             responsible for any consequences of use of the program.
 '*
 '*             Any notices, including this one, are not to be removed
 '*             from the module without the prior written consent of
 '*             Magneto Software.
 '*
 '*****************************************************************************/Option Explicit
Private Sub Form_Load()
Dim nIndex As Integer

    Form1.Combo1.AddItem "Address Translation Table Info", 0
    Form1.Combo1.ItemData(0) = 0
    
    Form1.Combo1.AddItem "ICMP Info", 1
    Form1.Combo1.ItemData(1) = 1
    
    Form1.Combo1.AddItem "Interfaces Table Info", 2
    Form1.Combo1.ItemData(2) = 2
    
    Form1.Combo1.AddItem "IP Address Table Info", 3
    Form1.Combo1.ItemData(3) = 3
    
    Form1.Combo1.AddItem "IP Info", 4
    Form1.Combo1.ItemData(4) = 4
    
    Form1.Combo1.AddItem "IP Routing Table Info", 5
    Form1.Combo1.ItemData(5) = 5
    
    Form1.Combo1.AddItem "TCP Connect Table Info", 6
    Form1.Combo1.ItemData(6) = 6
    
    Form1.Combo1.AddItem "TCP Info", 7
    Form1.Combo1.ItemData(7) = 7
    
    Form1.Combo1.AddItem "UDP Connect Table Info", 8
    Form1.Combo1.ItemData(8) = 8
    
    Form1.Combo1.AddItem "UDP Info", 9
    Form1.Combo1.ItemData(9) = 9
    
    Form1.Combo1.Text = "TCP Connect Table Info"
End Sub

Private Sub Start_Click()
Debug_lst.Clear
Dim varArray As Variant
Dim nColIndex As Integer
Dim nRowIndex As Integer
Dim lColLower As Long
Dim lColUpper As Long
Dim lRowLower As Long
Dim lRowUpper As Long

Dim strOutString As String

Dim nIndex As Integer
Dim nType As Integer

nIndex = Combo1.ListIndex
nType = Combo1.ItemData(nIndex)

Select Case nType
    Case 0      '"Address Translation Table Info"
        SKSystemInfo1.GetAddressTranslationTableInfo varArray
    Case 1      '"ICMP Info"
        SKSystemInfo1.GetIcmpInfo varArray
    Case 2      '"Interfaces Table Info"
        SKSystemInfo1.GetInterfacesTableInfo varArray
    Case 3      '"IP Address Table Info"
        SKSystemInfo1.GetIpAddressTableInfo varArray
    Case 4      '"IP Info"
        SKSystemInfo1.GetIpInfo varArray
    Case 5      '"IP Routing Table Info"
        SKSystemInfo1.GetIpRoutingTableInfo varArray
    Case 6      '"TCP Connect Table Info"
        SKSystemInfo1.GetTcpConnectTableInfo varArray
    Case 7      '"TCP Info"
        SKSystemInfo1.GetTcpInfo varArray
    Case 8      '"UDP Connect Table Info"
        SKSystemInfo1.GetUdpConnectTableInfo varArray
    Case 9      '"UDP Info"
        SKSystemInfo1.GetUdpInfo varArray
   End Select

lRowLower = LBound(varArray, 1)
lRowUpper = UBound(varArray, 1)
lColLower = LBound(varArray, 2)
lColUpper = UBound(varArray, 2)
For nRowIndex = lRowLower To lRowUpper
    strOutString = ""
    For nColIndex = lColLower To lColUpper
        strOutString = strOutString & "     " & varArray(nRowIndex, nColIndex)
    Next nColIndex
    Debug_lst.AddItem strOutString
Next nRowIndex

End Sub


Private Sub AutoRefreshCheck_Click()
Dim nCheck As Boolean
nCheck = AutoRefreshCheck.Value
Timer1.Enabled = nCheck
If nCheck <> 0 Then
Form1.Start.Enabled = False
Else
Form1.Start.Enabled = True
End If
End Sub


Private Sub Timer1_Timer()
Start_Click
End Sub
